Package org.h2gis.functions.spatial.create

## Class ST_MakeArcPolygon

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_MakeArcPolygon

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_MakeArcPolygon
    extends org.h2gis.api.DeterministicScalarFunction

ST_MakeArcPolygon constructs an elliptical arc, as a Polygon centered at the given point.

Author:
  Erwan Bocher, CNRS, 2023

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_MakeArcPolygon()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Polygon` `execute​(org.locationtech.jts.geom.Point p, double distance, double startAngle, double angExtent)` Creates an elliptical arc, as a Polygon centered at the given point with the given start angle and end angle size.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MakeArcPolygon

    public ST_MakeArcPolygon()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static org.locationtech.jts.geom.Polygon execute​(org.locationtech.jts.geom.Point p,
                                                            double distance,
                                                            double startAngle,
                                                            double angExtent)

Creates an elliptical arc, as a Polygon centered at the given point with the given start angle and end angle size.

Parameters:
  `p` - Point
  `startAngle` - start angle in radians
  `angExtent` - size of angle in radians
  `distance` - in meters
Returns:
  An arc Polygon centered at the given point.